Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class JXPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.jxpath.JXPathException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  JXPathAbstractFactoryException, JXPathFunctionNotFoundException, JXPathInvalidAccessException, JXPathInvalidSyntaxException, JXPathNotFoundException, JXPathTypeConversionException

    public class JXPathException

extends RuntimeException

Thrown in various situations by JXPath; may contain a nested exception.

Version:
  $Revision: 618149 $ $Date: 2008-02-03 20:04:13 -0600 (Sun, 03 Feb 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Constructor Summary
`JXPathException()` Create a new `JXPathException` with no detail mesage.
`JXPathException(String msg)` Create a new `JXPathException` with the `String` specified as an error message.
`JXPathException(String msg, Throwable e)` Create a new `JXPathException` with the given `Exception` base cause and detail message.
`JXPathException(Throwable e)` Create a new `JXPathException` with a given `Throwable` base cause of the error.

Method Summary
`Throwable` | `getCause()` Same as `getException()`
`Throwable` | `getException()` Return the actual exception (if any) that caused this exception to be raised.
`String` | `getMessage()` Return the message (if any) for this error .

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JXPathException

    public JXPathException()

  Create a new `JXPathException` with no detail mesage.

### JXPathException

    public JXPathException(String msg)

  Create a new `JXPathException` with the `String` specified as an error message.

  Parameters:
    `msg` - The error message for the exception.

### JXPathException

    public JXPathException(Throwable e)

  Create a new `JXPathException` with a given `Throwable` base cause of the error.

  Parameters:
    `e` - The exception to be encapsulated in a JXPathException.

### JXPathException

    public JXPathException(String msg,
                           Throwable e)

  Create a new `JXPathException` with the given `Exception` base cause and detail message.

  Parameters:
    `msg` - The detail message.
    `e` - The exception to be encapsulated in a JXPathException

Method Detail

### getMessage

    public String getMessage()

  Return the message (if any) for this error . If there is no message for the exception and there is an encapsulated exception then the message of that exception will be returned.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    The error message.

### getException

    public Throwable getException()

  Return the actual exception (if any) that caused this exception to be raised.

  Returns:
    The encapsulated exception, or null if there is none.

### getCause

    public Throwable getCause()

  Same as `getException()`

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    The encapsulated exception, or null if there is none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.